Bug 109426 - ccm-tools-servlet-resin fails to install due to bugs in rpm-4.1
ccm-tools-servlet-resin fails to install due to bugs in rpm-4.1
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-07 14:24 EST by Vadim Nasardinov
Modified: 2007-04-18 12:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-07 18:23:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Nasardinov 2003-11-07 14:24:54 EST
In change 37826, a dependency on ${RPM_INSTALL_PREFIX1} was introduced
in //tools/ccmbuild/tools/dev/ccm-tools.spec.in

According to bug 75057, rpm 4.1 fails to set the RPM_INSTALL_PREFIXn
variables.

This causes the postinstall scripts to fail for
/tmp/ccm-tools-servlet-resin-0.9.0-1.noarch.rpm built at change 37826.

The latest "rpm" util on Red Hat Linux 8.0 is rpm-4.1-1.06.
Comment 1 Vadim Nasardinov 2003-11-07 14:59:22 EST
I synced to //tools/...@37830 and rebuilt the RPMs to pick up the
following fix:

$ p4 describe -s 37830
Change 37830 by dennis@galileo-dennis on 2003/11/07 14:22:48

    default RPM_INSTALL_PREFIX[N] in case the user has broken rpm 4.1 
    http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=75057


Now I get

$ sudo rpm --replacepkgs --replacefiles -Uvvh *.rpm

D:   install: %post(ccm-tools-servlet-tomcat-0.9.0-1) asynchronous scriptlet start
D:   install: %post(ccm-tools-servlet-tomcat-0.9.0-1)	execv(/bin/sh) pid 19566
+ '[' -z '' ']'
+ RPM_INSTALL_PREFIX1=/etc
+ alternatives --install /etc/profile.d/ccm-tools-servlet.sh ccm-servlet /etc/ccm-tools/tomcat.sh 10
failed to read link /profile.d/ccm-tools-servlet.sh: No such file or directory
the primary link for ccm-servlet must be /profile.d/ccm-tools-servlet.sh
D:   install: waitpid(19566) rc 19566 status 200
error: %post(ccm-tools-servlet-tomcat-0.9.0-1) scriptlet failed, exit status 2
Comment 2 Vadim Nasardinov 2003-11-07 15:09:27 EST
Never mind.  I think this is a carryover from the previous failed
install.

$ sudo /usr/sbin/alternatives --display ccm-servlet
failed to read link /profile.d/ccm-tools-servlet.sh: No such file or directory

$ ls -l /var/lib/alternatives/ccm-servlet 
-rw-r--r--    1 root     root           84 Nov  7 14:03 /var/lib/alternatives/ccm-servlet

I'll try deleting this.
Comment 3 Vadim Nasardinov 2003-11-07 15:17:09 EST
Ok, this seems to work after I moved the botched up
/var/lib/alternatives/ccm-servlet file out of the way:

$ sudo mv /var/lib/alternatives/ccm-servlet /tmp
$ sudo rpm --replacepkgs --replacefiles -Uvvh *.rpm
*** output flushed ***
$ cat /var/lib/alternatives/ccm-servlet 
auto
/etc/profile.d/ccm-tools-servlet.sh

/etc/ccm-tools/resin.sh
5
/etc/ccm-tools/tomcat.sh
10


Marking QA_READY.  Thanks, Dennis.
Comment 4 David Lawrence 2006-07-17 22:53:38 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 5 Dennis Gregorovic 2006-12-07 18:23:39 EST
closing old CCM bugs

Note You need to log in before you can comment on or make changes to this bug.